curl https://api.lumenfall.ai/openai/v1/models \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="your-lumenfall-api-key",
base_url="https://api.lumenfall.ai/openai/v1"
)
models = client.models.list()
for model in models.data:
print(model.id)
import OpenAI from "openai";
const client = new OpenAI({
apiKey: "your-lumenfall-api-key",
baseURL: "https://api.lumenfall.ai/openai/v1",
});
const models = await client.models.list();
for (const model of models.data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"id": "gemini-3-pro-image",
"object": "model",
"created": 1702300000,
"owned_by": "google"
},
{
"id": "gpt-image-1.5",
"object": "model",
"created": 1698785189,
"owned_by": "openai"
},
{
"id": "flux.2-max",
"object": "model",
"created": 1702300000,
"owned_by": "black-forest-labs"
},
{
"id": "seedream-4.5",
"object": "model",
"created": 1702300000,
"owned_by": "bytedance"
},
{
"id": "qwen-image",
"object": "model",
"created": 1702300000,
"owned_by": "alibaba"
}
]
}
Models
List models
Get a list of all available models
GET
/
openai
/
v1
/
models
curl https://api.lumenfall.ai/openai/v1/models \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="your-lumenfall-api-key",
base_url="https://api.lumenfall.ai/openai/v1"
)
models = client.models.list()
for model in models.data:
print(model.id)
import OpenAI from "openai";
const client = new OpenAI({
apiKey: "your-lumenfall-api-key",
baseURL: "https://api.lumenfall.ai/openai/v1",
});
const models = await client.models.list();
for (const model of models.data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"id": "gemini-3-pro-image",
"object": "model",
"created": 1702300000,
"owned_by": "google"
},
{
"id": "gpt-image-1.5",
"object": "model",
"created": 1698785189,
"owned_by": "openai"
},
{
"id": "flux.2-max",
"object": "model",
"created": 1702300000,
"owned_by": "black-forest-labs"
},
{
"id": "seedream-4.5",
"object": "model",
"created": 1702300000,
"owned_by": "bytedance"
},
{
"id": "qwen-image",
"object": "model",
"created": 1702300000,
"owned_by": "alibaba"
}
]
}
Returns a list of all models available through Lumenfall.
Response
string
Always
list.array
curl https://api.lumenfall.ai/openai/v1/models \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="your-lumenfall-api-key",
base_url="https://api.lumenfall.ai/openai/v1"
)
models = client.models.list()
for model in models.data:
print(model.id)
import OpenAI from "openai";
const client = new OpenAI({
apiKey: "your-lumenfall-api-key",
baseURL: "https://api.lumenfall.ai/openai/v1",
});
const models = await client.models.list();
for (const model of models.data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"id": "gemini-3-pro-image",
"object": "model",
"created": 1702300000,
"owned_by": "google"
},
{
"id": "gpt-image-1.5",
"object": "model",
"created": 1698785189,
"owned_by": "openai"
},
{
"id": "flux.2-max",
"object": "model",
"created": 1702300000,
"owned_by": "black-forest-labs"
},
{
"id": "seedream-4.5",
"object": "model",
"created": 1702300000,
"owned_by": "bytedance"
},
{
"id": "qwen-image",
"object": "model",
"created": 1702300000,
"owned_by": "alibaba"
}
]
}
⌘I